Remove arch-alpha variable.
authorSascha Wildner <swildner@dragonflybsd.org>
Sun, 20 Feb 2005 16:31:53 +0000 (16:31 +0000)
committerSascha Wildner <swildner@dragonflybsd.org>
Sun, 20 Feb 2005 16:31:53 +0000 (16:31 +0000)
sys/boot/common/loader.8
sys/boot/ficl/loader.c
sys/boot/forth/loader.4th

index eb8ce37..b0bd4ea 100644 (file)
@@ -23,7 +23,7 @@
 .\" SUCH DAMAGE.
 .\"
 .\" $FreeBSD: src/sys/boot/common/loader.8,v 1.57 2003/06/29 20:57:55 brueffer Exp $
-.\" $DragonFly: src/sys/boot/common/loader.8,v 1.7 2004/12/20 13:13:19 joerg Exp $
+.\" $DragonFly: src/sys/boot/common/loader.8,v 1.8 2005/02/20 16:31:53 swildner Exp $
 .\"
 .\" Note: The date here should be updated whenever a non-trivial
 .\" change is made to the manual page.
@@ -737,9 +737,6 @@ Does not work with
 .It arch-i386
 .Ic TRUE
 if the architecture is IA32.
-.It arch-alpha
-.Ic TRUE
-if the architecture is AXP.
 .It DragonFly_version
 .Dx
 version at compile time.
index ae5fa3e..2aff59f 100644 (file)
@@ -24,7 +24,7 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/boot/ficl/loader.c,v 1.9 2003/06/08 03:11:16 nyan Exp $
- * $DragonFly: src/sys/boot/ficl/loader.c,v 1.4 2005/02/19 23:19:51 swildner Exp $
+ * $DragonFly: src/sys/boot/ficl/loader.c,v 1.5 2005/02/20 16:31:53 swildner Exp $
  */
 
 /*******************************************************************
@@ -659,11 +659,9 @@ void ficlCompilePlatform(FICL_SYSTEM *pSys)
 
 #if defined(__i386__)
     ficlSetEnv(pSys, "arch-i386",         FICL_TRUE);
-    ficlSetEnv(pSys, "arch-alpha",        FICL_FALSE);
     ficlSetEnv(pSys, "arch-ia64",         FICL_FALSE);
 #elif defined(__ia64__)
     ficlSetEnv(pSys, "arch-i386",         FICL_FALSE);
-    ficlSetEnv(pSys, "arch-alpha",        FICL_FALSE);
     ficlSetEnv(pSys, "arch-ia64",         FICL_TRUE);
 #endif
 
index ccd9fff..3ebcdea 100644 (file)
 \ SUCH DAMAGE.
 \
 \ $FreeBSD: src/sys/boot/forth/loader.4th,v 1.24 2002/05/24 02:28:58 gordon Exp $
-\ $DragonFly: src/sys/boot/forth/loader.4th,v 1.7 2004/10/14 18:36:00 dillon Exp $
-
-s" arch-alpha" environment? [if] [if]
-       s" loader_version" environment?  [if]
-               12 < [if]
-                       .( Loader version 1.2+ required) cr
-                       abort
-               [then]
-       [else]
-               .( Could not get loader version!) cr
-               abort
-       [then]
-[then] [then]
+\ $DragonFly: src/sys/boot/forth/loader.4th,v 1.8 2005/02/20 16:31:53 swildner Exp $
 
 s" arch-i386" environment? [if] [if]
        s" loader_version" environment?  [if]